Bug 1203248 (CVE-2015-1382) - CVE-2015-1382 privoxy: denial of service (invalid memory read) issue in parsers.c
Summary: CVE-2015-1382 privoxy: denial of service (invalid memory read) issue in parse...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-1382
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1169216
TreeView+ depends on / blocked
 
Reported: 2015-03-18 13:07 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:30 UTC (History)
3 users (show)

Fixed In Version: Privoxy 3.0.23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 10:15:38 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-03-18 13:07:22 UTC
Privoxy 3.0.23 fixes following security issue:

- Fixed an 'invalid read' bug which could at least theoretically
  cause Privoxy to crash.
  http://ijbswa.cvs.sourceforge.net/viewvc/ijbswa/current/parsers.c?r1=1.297&r2=1.298

Original report: http://seclists.org/oss-sec/2015/q1/259


Note You need to log in before you can comment on or make changes to this bug.